<template>
  <div class="AppGridMember">
    <keep-alive :include="['List']">
      <component
        ref="component"
        :is="component"
        @change="onChange"
        :params="params"
        :instance="instance"
        :dict="dict"
      ></component>
    </keep-alive>
  </div>
</template>

<script>
import List from "./components/list";
import Add from "./components/add";

export default {
  name: "AppGridMember",
  label: "网格管理员",

  props: {
    instance: Function,
    dict: Object,
  },

  data() {
    return {
      component: "List",
      params: {},
      include: [],
    };
  },

  components: {
    Add,
    List,
  },

  mounted() {},

  methods: {
    onChange(data) {
      if (data.type === "Add") {
        this.component = "Add";
        this.params = data.params;
      }

      if (data.type === "list") {
        this.component = "List";
        this.params = data.params;

        this.$nextTick(() => {
          if (data.isRefresh) {
            this.$refs.component.getList();
          }
        });
      }
    },
  },
};
</script>

<style lang="scss">
.AppGridMember {
  height: 100%;
  background: #f3f6f9;
  overflow: auto;
}
</style>
